Subject: RE: ETags

From: Jim Whitehead <[email-masked]>
Date: Wed, 16 Feb 2000 13:16:41 -0800

Accidentally caught by the spam filter.

- Jim

-----Original Message-----
From: Douglas Steen [mailto:[email-masked]]
Sent: Wednesday, February 16, 2000 6:30 AM
To: [email-masked]
Subject: [Moderator Action] RE: ETags

Unfortunately, I am pretty sure that Windows 2K will NOT update the eTag
when dead properties change (I haven't checked recent versions, but older
ones did not).  Although I agree with Greg: it should.  I don't know about
other WebDAV-enabled servers.

    Douglas R. Steen
    [email-masked]
    Drag-and-Drop Web Content Management
    http://www.eKeeper.com

-----Original Message-----
From: Greg Stein [mailto:[email-masked]]
Sent: Wednesday, 16 February, 2000 3:24 AM
To: Kevin Wiggen
Cc: [email-masked]
Subject: Re: ETags

On Wed, 16 Feb 2000, Kevin Wiggen wrote:
> I searched the spec and could not find any special details on handling
> ETags.
> 
> Should an ETag value be updated when a dead property is changed?  On the

Probably, on the basis that an ETag represents the resource, and the
properties are part of the resource.

> same note, do most servers update the last-modified-date when a dead
> property is changed?

mod_dav does not update the last-modified-date. This is stated at
http://www.webdav.org/mod_dav/#imp

> Does Webdav want to take a stand one way or another?

I'd prefer it didn't since it would be rather painful for me to support.
But that's just me :-)

Cheers,
-g

-- 
Greg Stein, http://www.lyra.org/